//Create by Wubo
//Revise on 08/25/06 03:32



#include "d:\scilab-4.0\routines\stack-c.h"
void decom2 __PARAMS((int *step,int *b));

int intdecom2(fname) 
char *fname;
{
    static int l1, m1, n1, l2, m2, n2, l3,m3,n3,l4;
    static int minlhs=0, maxlhs=1, minrhs=1, maxrhs=1;   //why the minlhs must equal zero??

    /* Check number of inputs (rhs=2) and outputs (lhs=1) */
    CheckRhs(minrhs,maxrhs) ;
    CheckLhs(minlhs,maxlhs) ;
    //m2=10;
    GetRhsVar(1, "i", &m1, &n1, &l1);   //the following sentence must be wrote together!!!! 
    CreateVar(2, "i", &m2, &n2, &l2);
//  CreateVar(4, "i", &m1, &n1, &l4);  
    decom2(istk(l1), istk(l2));
    /*  Return C (3)  */
    LhsVar(1) = 2;
//  LhsVar(2)=  4;
    return 0;
}


#include "stdio.h"
#include "stdlib.h"




void decom2(step,b)
int b[];
int step[];
{
    int para;
    char buffer[99];
    para=*(step);
    sprintf(buffer,"fastcommunity_mh -f edge.pairs -c %d",para);
    system(buffer);

}
